Package org.eclipse.cdt.core.settings.model.extension

# Class CFileData

java.lang.Object
org.eclipse.cdt.core.settings.model.extension.CDataObject
org.eclipse.cdt.core.settings.model.extension.CResourceData
org.eclipse.cdt.core.settings.model.extension.CFileData

All Implemented Interfaces:
  `ICSettingBase`

Direct Known Subclasses:
  `CDefaultFileData`

public abstract class CFileData extends CResourceData

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

## Constructor Summary

Constructors
Constructor
Description
`CFileData()`

## Method Summary

Modifier and Type
Method
Description
`abstract CLanguageData`
`getLanguageData()`
`final int`
`getType()`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CResourceData

`getPath, hasCustomSettings, setPath, toString`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`getId, getName, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CFileData

public CFileData()

## Method Details

### getType

public final int getType()

Specified by:
  `getType` in class `CDataObject`

### getLanguageData

public abstract CLanguageData getLanguageData()